# Get collection deletion status

> Authoritative status for an asynchronous collection deletion. (GET /v1/collections/{id}/deletion)

Source: https://sightradar.com/docs/api/collections/get-collection-deletion-status

Authoritative status for an asynchronous collection deletion. Poll until
`phase=completed` and `verified_zero=true` before removing a client-side
tombstone. Active collections return `phase=not_deleting`. Free.

### Example request

```bash
curl -X GET "https://api.sightradar.com/v1/collections/$ID/deletion" \
  -H "Authorization: Bearer $SR_API_KEY"
```

### Parameters

| Name              | In   | Type     | Description    |
| ----------------- | ---- | -------- | -------------- |
| `id` **required** | path | `string` | Collection id. |

### Response body

| Field                            | Type                                                                             | Description |
| -------------------------------- | -------------------------------------------------------------------------------- | ----------- |
| `collection_id` **required**     | `string`                                                                         |             |
| `phase` **required**             | `"not_deleting" \| "deletion_pending" \| "deleting" \| "completed" \| "blocked"` |             |
| `collection_status` **required** | `"active" \| "deletion_pending" \| "deleting" \| "deleted"`                      |             |
| `verified_zero` **required**     | `boolean`                                                                        |             |
| `attempts` **required**          | `integer`                                                                        |             |
| `deletion_class`                 | `"product" \| "compliance"`                                                      |             |
| `workflow_id`                    | `string`                                                                         |             |
| `workflow_status`                | `"pending" \| "completed" \| "failed"`                                           |             |
| `purge_after`                    | `string`                                                                         |             |
| `requested_at`                   | `string`                                                                         |             |
| `completed_at`                   | `string`                                                                         |             |
| `last_error`                     | `string`                                                                         |             |

### Status codes

| Status | Meaning                     |
| ------ | --------------------------- |
| `200`  | Current deletion lifecycle. |
| `401`  | Missing or invalid API key. |
| `404`  | Resource not found.         |
